charms_openstack/ip.py is almost an identical copy of charmhelpers/contrib/openstack/ip.py

Bug #1704334 reported by Alex Kavanagh on 2017-07-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
charms.openstack
Medium
Unassigned

Bug Description

It looks like a cut and paste with a few changes. Obviously, this is bad from a maintenance perspective. The charms.openstack version should be removed and charms.openstack should use the charmhelpers version. This is so that future changes get updated in charms.openstack much more quickly and we don't have to maintain two (almost) identical pieces of code.

Recently, the code duplication between the two libraries has resulted in ipv4 bugs and network space bugs NOT being fixed in charms.openstack based charms.

Changed in charms.openstack:
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers